diff -ru OpenUT/Core/Inc/UnGnuG.h OpenUT-new/Core/Inc/UnGnuG.h
--- OpenUT/Core/Inc/UnGnuG.h	2000-09-06 04:48:14.000000000 +0200
+++ OpenUT-new/Core/Inc/UnGnuG.h	2009-01-03 20:11:21.000000000 +0100
@@ -210,10 +210,10 @@
 #if __PSX2_EE__
 	register int r;
 	__asm__ __volatile__(
-	"
+	
 		cvt.w.s %1,%1
 		mfc1 %0,%1
-	"
+	
 	:"=r"(r)
 	:"$f"(f)
 	);
@@ -246,7 +246,7 @@
 #if __PSX2_EE__
 	register int r;
 	__asm__ __volatile__(
-	"
+	
 		cvt.w.s %1,%1
 		mfc1 %0,%1
 	"
@@ -312,24 +312,24 @@
 #define DEFINED_appMemcpy 1
 inline void appMemcpy( void* Dest, const void* Src, INT Count )
 {
-	asm volatile("
-		pushl %%ebx;
-		pushl %%ecx;
-		pushl %%esi;
-		pushl %%edi;
-		mov %%ecx, %%ebx;
-		shr $2, %%ecx;
-		and $3, %%ebx;
-		rep;
-		movsl;
-		mov %%ebx, %%ecx;
-		rep;
-		movsb;
-		popl %%edi;
-		popl %%esi;
-		popl %%ecx;
-		popl %%ebx;
-	"
+	__asm__ __volatile__(
+		"pushl %%ebx\n\t"
+		"pushl %%ecx\n\t"
+		"pushl %%esi\n\t"
+		"pushl %%edi\n\t"
+		"mov %%ecx, %%ebx\n\t"
+		"shr $2, %%ecx\n\t"
+		"and $3, %%ebx\n\t"
+		"rep\n\t"
+		"movsl\n\t"
+		"mov %%ebx, %%ecx\n\t"
+		"rep\n\t"
+		"movsb\n\t"
+		"popl %%edi\n\t"
+		"popl %%esi\n\t"
+		"popl %%ecx\n\t"
+		"popl %%ebx\n\t"
+	
 	:
 	: "S" (Src),
 	  "D" (Dest),
diff -ru OpenUT/Core/Inc/UnMath.h OpenUT-new/Core/Inc/UnMath.h
--- OpenUT/Core/Inc/UnMath.h	2000-09-06 04:48:15.000000000 +0200
+++ OpenUT-new/Core/Inc/UnMath.h	2009-01-03 20:30:01.000000000 +0100
@@ -204,13 +204,13 @@
 	inline FVector operator^( const FVector& V ) const
 	{
 		FVector r;
-		asm volatile ("
-			lqc2		vf2, 0x00(%1)
-			lqc2		vf3, 0x00(%2)
-			vopmula.xyz	ACCxyz, vf2xyz, vf3xyz
-			vopmsub.xyz	vf1xyz, vf3xyz, vf2xyz
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%1)\n\t"
+			"lqc2		vf3, 0x00(%2)\n\t"
+			"vopmula.xyz	ACCxyz, vf2xyz, vf3xyz\n\t"
+			"vopmsub.xyz	vf1xyz, vf3xyz, vf2xyz\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (&r), "r" (this), "r" (&V)
 		: "memory"
@@ -220,12 +220,12 @@
 	inline FLOAT operator|( const FVector& V ) const
 	{
 		FVector r;
-		asm volatile ("
-			lqc2		vf2, 0x00(%1)
-			lqc2		vf3, 0x00(%2)
-			vmul.xyz	vf1, vf2, vf3
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%1)\n\t"
+			"lqc2		vf3, 0x00(%2)\n\t"
+			"vmul.xyz	vf1, vf2, vf3\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (&r), "r" (this), "r" (&V)
 		: "memory"
@@ -239,12 +239,12 @@
 	inline FVector operator+( const FVector& V ) const
 	{
 		FVector r;
-		asm volatile ("
-			lqc2		vf2, 0x00(%1)
-			lqc2		vf3, 0x00(%2)
-			vadd.xyz	vf1, vf2, vf3
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%1)\n\t"
+			"lqc2		vf3, 0x00(%2)\n\t"
+			"vadd.xyz	vf1, vf2, vf3\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (&r), "r" (this), "r" (&V)
 		: "memory"
@@ -254,12 +254,12 @@
 	inline FVector operator-( const FVector& V ) const
 	{
 		FVector r;
-		asm volatile ("
-			lqc2		vf2, 0x00(%1)
-			lqc2		vf3, 0x00(%2)
-			vsub.xyz	vf1, vf2, vf3
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%1)\n\t"
+			"lqc2		vf3, 0x00(%2)\n\t"
+			"vsub.xyz	vf1, vf2, vf3\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (&r), "r" (this), "r" (&V)
 		: "memory"
@@ -269,12 +269,12 @@
 	inline FVector operator*( FLOAT Scale ) const
 	{
 		FVector r;
-		asm volatile ("
-			ctc2		%2,  $21
-			lqc2		vf2, 0x00(%1)
-			vmuli.xyz	vf1, vf2, I
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"ctc2		%2,  $21\n\t"
+			"lqc2		vf2, 0x00(%1)\n\t"
+			"vmuli.xyz	vf1, vf2, I\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (&r), "r" (this), "r" (Scale)
 		: "memory"
@@ -285,12 +285,12 @@
 	{
 		FLOAT RScale = 1.f/Scale;
 		FVector r;
-		asm volatile ("
-			ctc2		%2,  $21
-			lqc2		vf2, 0x00(%1)
-			vmuli.xyz	vf1, vf2, I
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"ctc2		%2,  $21\n\t"
+			"lqc2		vf2, 0x00(%1)\n\t"
+			"vmuli.xyz	vf1, vf2, I\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (&r), "r" (this), "r" (RScale)
 		: "memory"
@@ -300,12 +300,12 @@
 	inline FVector operator*( const FVector& V ) const
 	{
 		FVector r;
-		asm volatile ("
-			lqc2		vf2, 0x00(%1)
-			lqc2		vf3, 0x00(%2)
-			vmul.xyz	vf1, vf2, vf3
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%1)\n\t"
+			"lqc2		vf3, 0x00(%2)\n\t"
+			"vmul.xyz	vf1, vf2, vf3\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (&r), "r" (this), "r" (&V)
 		: "memory"
@@ -332,12 +332,12 @@
 	// Assignment operators.
 	inline FVector operator+=( const FVector& V )
 	{
-		asm volatile ("
-			lqc2		vf2, 0x00(%0)
-			lqc2		vf3, 0x00(%1)
-			vadd.xyz	vf1, vf2, vf3
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%0)\n\t"
+			"lqc2		vf3, 0x00(%1)\n\t"
+			"vadd.xyz	vf1, vf2, vf3\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		: 
 		: "r" (this), "r" (&V)
 		: "memory"
@@ -346,12 +346,12 @@
 	}
 	inline FVector operator-=( const FVector& V )
 	{
-		asm volatile ("
-			lqc2		vf2, 0x00(%0)
-			lqc2		vf3, 0x00(%1)
-			vsub.xyz	vf1, vf2, vf3
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%0)\n\t"
+			"lqc2		vf3, 0x00(%1)\n\t"
+			"vsub.xyz	vf1, vf2, vf3\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		: 
 		: "r" (this), "r" (&V)
 		: "memory"
@@ -360,12 +360,12 @@
 	}
 	inline FVector operator*=( FLOAT Scale )
 	{
-		asm volatile ("
-			ctc2		%1,  $21
-			lqc2		vf2, 0x00(%0)
-			vmuli.xyz	vf1, vf2, I
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"ctc2		%1,  $21\n\t"
+			"lqc2		vf2, 0x00(%0)\n\t"
+			"vmuli.xyz	vf1, vf2, I\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (this), "r" (Scale)
 		: "memory"
@@ -375,11 +375,11 @@
 	inline FVector operator/=( FLOAT V )
 	{
 		FLOAT RScale = 1.f/V;
-		asm volatile ("
-			ctc2		%1,  $21
-			lqc2		vf2, 0x00(%0)
-			vmuli.xyz	vf1, vf2, I
-			sqc2		vf1, 0x00(%0)
+		asm volatile (
+			"ctc2		%1,  $21\n\t"
+			"lqc2		vf2, 0x00(%0)\n\t"
+			"vmuli.xyz	vf1, vf2, I\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
 		"
 		:
 		: "r" (this), "r" (RScale)
@@ -389,12 +389,12 @@
 	}
 	inline FVector operator*=( const FVector& V )
 	{
-		asm volatile ("
-			lqc2		vf2, 0x00(%0)
-			lqc2		vf3, 0x00(%1)
-			vmul.xyz	vf1, vf2, vf3
-			sqc2		vf1, 0x00(%0)
-		"
+		asm volatile (
+			"lqc2		vf2, 0x00(%0)\n\t"
+			"lqc2		vf3, 0x00(%1)\n\t"
+			"vmul.xyz	vf1, vf2, vf3\n\t"
+			"sqc2		vf1, 0x00(%0)\n\t"
+		
 		:
 		: "r" (this), "r" (&V)
 		: "memory"
@@ -1384,14 +1384,14 @@
 #elif ASMLINUX
 inline void ASMTransformPoint(const FCoords &Coords, const FVector &InVector, FVector &OutVector)
 {
-	__asm__ __volatile__ ("
-		# Get source.
-		flds	0(%%esi);			# x
-		flds	4(%%esi);			# y x
-		flds	8(%%esi);			# z y x
+	__asm__ __volatile__ (
+		// Get source.
+		flds	0(%%esi);			// x
+		flds	4(%%esi);			// y x
+		flds	8(%%esi);			// z y x
 		fxch	%%st(2);
 
-		# Subtract origin.
+		// Subtract origin.
 		fsubs	0(%1);
 		fxch	%%st(1);
 		fsubs	4(%1);
@@ -1399,7 +1399,7 @@
 		fsubs	8(%1);
 		fxch	%%st(1);
 
-		# Triplicate X for transforming.
+		// Triplicate X for transforming.
 		fld		%%st(0);
 		fmuls	12(%1);
 		fld		%%st(1);
@@ -1437,7 +1437,7 @@
 		fstps	0(%%edi);
 		fstps	4(%%edi);
 		fstps	8(%%edi);
-	"
+	
 	:
 	:	"S" (&InVector),
 		"q" (&Coords),
@@ -1508,15 +1508,15 @@
 #if ASMLINUX
 inline void ASMTransformVector(const FCoords &Coords, const FVector &InVector, FVector &OutVector)
 {
-	asm volatile("
-		# Get source.
+	asm volatile(
+		// Get source.
 		flds	0(%%esi);
 		flds	4(%%esi);
 		fxch	%%st(1);
 		flds	8(%%esi);
 		fxch	%%st(1);
 
-		# Triplicate X for transforming.
+		// Triplicate X for transforming.
 		fld		%%st(0);
 		fmuls	12(%1);
 		fld		%%st(1);
@@ -1554,7 +1554,7 @@
 		fstps	0(%%edi);
 		fstps	4(%%edi);
 		fstps	8(%%edi);
-	"
+	
 	:
 	: "S" (&InVector),
 	  "q" (&Coords),
@@ -1581,19 +1581,19 @@
 #elif __PSX2_EE__
 	FVector Result;
 	FVector UnitVector = FVector(1.f, 1.f, 1.f);
-	asm volatile ("
+	asm volatile (
 		lqc2		vf1, 0x00(%0)
 		lqc2		vf3, 0x00(%1)
 		lqc2		vf4, 0x00(%2)
 		lqc2		vf5, 0x00(%3)
 		lqc2		vf6, 0x00(%4)
-	"
+	
 	:
 	: "r" (&UnitVector),
 	  "r" (&Coords.Origin), "r" (&Coords.XAxis),
 	  "r" (&Coords.YAxis), "r" (&Coords.ZAxis)
 	);
-	asm volatile ("
+	asm volatile (
 		/* Register allocation:
 		 * vf0: 0, 0, 0, 1 constant vector
 		 * vf1: 1, 1, 1, 1 unit vector
@@ -1627,7 +1627,7 @@
 
 		vmadd		vf9, vf0, vf0				/* vf9 = ACC + 0 * 0 */
 		sqc2		vf9, 0x00(%0)				/* Result.Point <- ACC */
-	"
+	
 	:
 	: "r" (&Result), "r" (this)
 	: "memory"
@@ -1656,17 +1656,17 @@
 #elif __PSX2_EE__
 	FVector Result;
 	FVector UnitVector = FVector(1.f, 1.f, 1.f);
-	asm volatile ("
+	asm volatile (
 		lqc2		vf1, 0x00(%0)
 		lqc2		vf4, 0x00(%1)
 		lqc2		vf5, 0x00(%2)
 		lqc2		vf6, 0x00(%3)
-	"
+	
 	:
 	: "r" (&UnitVector), "r" (&Coords.XAxis),
 	  "r" (&Coords.YAxis), "r" (&Coords.ZAxis)
 	);
-	asm volatile ("
+	asm volatile (
 		/* Register allocation:
 		 * vf0: 0, 0, 0, 1 constant vector
 		 * vf1: 1, 1, 1, 1 unit vector
@@ -1696,7 +1696,7 @@
 
 		vmadd		vf9, vf0, vf0				/* vf9 = ACC + 0 * 0 */
 		sqc2		vf9, 0x00(%0)				/* Result.Point <- ACC */
-	"
+	
 	:
 	: "r" (&Result), "r" (this)
 	: "memory"
diff -ru OpenUT/Engine/Inc/EngineClasses.h OpenUT-new/Engine/Inc/EngineClasses.h
--- OpenUT/Engine/Inc/EngineClasses.h	2000-09-06 04:48:14.000000000 +0200
+++ OpenUT-new/Engine/Inc/EngineClasses.h	2009-01-03 20:09:09.000000000 +0100
@@ -3310,7 +3310,7 @@
 #ifndef NAMES_ONLY
 #undef AUTOGENERATE_NAME
 #undef AUTOGENERATE_FUNCTION
-#endif NAMES_ONLY
+#endif
 
 #if _MSC_VER
 #pragma pack (pop)